diff -ur ../kdepim-4.13.3-orig/kmail/messageactions.cpp ./kmail/messageactions.cpp
--- ../kdepim-4.13.3-orig/kmail/messageactions.cpp	2014-07-09 21:18:50.000000000 +0900
+++ ./kmail/messageactions.cpp	2014-09-22 00:38:33.000000000 +0900
@@ -357,8 +357,16 @@
         mMailingListActionMenu->menu()->clear();
         qDeleteAll(mMailListActionList);
         mMailListActionList.clear();
+#ifndef Q_WS_MACX
         if ( !listId.isEmpty() )
             mMailingListActionMenu->menu()->addTitle( listId );
+#else
+//      // emulate addTitle by adding an inactive menu item.
+        KAction *act = new KAction( listId, this );
+        act->setEnabled(false);
+        mMailingListActionMenu->addAction( act );
+        mMailingListActionMenu->addSeparator();
+#endif
 
         if ( mailList.features() & MessageCore::MailingList::ArchivedAt )
             // IDEA: this may be something you want to copy - "Copy in submenu"?
diff -ur ../kdepim-4.13.3-orig/messagelist/core/widgetbase.cpp ./messagelist/core/widgetbase.cpp
--- ../kdepim-4.13.3-orig/messagelist/core/widgetbase.cpp	2014-07-09 21:18:50.000000000 +0900
+++ ./messagelist/core/widgetbase.cpp	2014-09-22 00:42:23.000000000 +0900
@@ -379,11 +379,27 @@
     themeMenuAboutToShow(menu);
 }
 
+static inline void addMenuTitle(KMenu *menu, const char *titleText, QObject *parent, bool separatorAbove=false)
+{
+#ifndef Q_WS_MACX
+    menu->addTitle( i18n( titleText ) );
+#else
+    //     // emulate addTitle by adding an inactive menu item.
+    KAction *act = new KAction( i18n(titleText), parent );
+    act->setEnabled(false);
+    if( separatorAbove ){
+        menu->addSeparator();
+    }
+    menu->addAction( act );
+    menu->addSeparator();
+#endif
+}
+
 void Widget::themeMenuAboutToShow(KMenu *menu)
 {
     menu->clear();
 
-    menu->addTitle( i18n( "Theme" ) );
+    addMenuTitle( menu, "Theme", this );
 
     QActionGroup * grp = new QActionGroup( menu );
 
@@ -474,7 +490,7 @@
 {
     menu->clear();
 
-    menu->addTitle( i18n( "Aggregation" ) );
+    addMenuTitle( menu, "Aggregation" , this );
 
     QActionGroup * grp = new QActionGroup( menu );
 
@@ -558,7 +574,7 @@
 {
     menu->clear();
 
-    menu->addTitle( i18n( "Message Sort Order" ) );
+    addMenuTitle( menu, "Message Sort Order", this );
 
     QActionGroup * grp;
     QAction * act;
@@ -583,7 +599,7 @@
     options = SortOrder::enumerateMessageSortDirectionOptions( d->mSortOrder.messageSorting() );
 
     if ( options.size() >= 2 ) {
-        menu->addTitle( i18n( "Message Sort Direction" ) );
+        addMenuTitle( menu, "Message Sort Direction", this, true );
 
         grp = new QActionGroup( menu );
         end = options.constEnd();
@@ -602,7 +618,7 @@
     options = SortOrder::enumerateGroupSortingOptions( d->mAggregation->grouping() );
 
     if ( options.size() >= 2 ) {
-        menu->addTitle( i18n( "Group Sort Order" ) );
+        addMenuTitle( menu, "Group Sort Order", this, true );
 
         grp = new QActionGroup( menu );
 
@@ -623,7 +639,7 @@
                                                              d->mSortOrder.groupSorting() );
 
     if ( options.size() >= 2 ) {
-        menu->addTitle( i18n( "Group Sort Direction" ) );
+        addMenuTitle( menu, "Group Sort Direction", this, true );
 
         grp = new QActionGroup( menu );
         end = options.constEnd();
